# Class: YARD::Parser::Ruby::Legacy::RubyToken::TkOPASGN

Inherits:
  TkOp
  - Object
  - Token
  - TkOp
  - YARD::Parser::Ruby::Legacy::RubyToken::TkOPASGN
  show all

Defined in:
  lib/yard/parser/ruby/legacy/ruby_lex.rb

## Instance Attribute Summary collapse

- #op ⇒ Object readonly

  Returns the value of attribute op.

## Instance Method Summary collapse

- #initialize(line_no, char_no, op) ⇒ TkOPASGN constructor

  A new instance of TkOPASGN.

## Constructor Details

### #initialize(line_no, char_no, op) ⇒ `TkOPASGN`

Returns a new instance of TkOPASGN.

    99
    100
    101
    102
    103

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 99

    def initialize(line_no, char_no, op)
      super(line_no, char_no)
      op = TkReading2Token[op] unless op.is_a?(Symbol)
      @op = op
    end

## Instance Attribute Details

### #op ⇒ `Object` (readonly)

Returns the value of attribute op.

    104
    105
    106

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 104

    def op
      @op
    end